Dža ko lil

Maya · Batch

Integriruj

Modelosko id maya/batch
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/maya/batch?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "texts": [
      "Hello from Doitong. This is a short test sentence."
    ],
    "prompts": [
      "Hello from Doitong. This is a short test sentence."
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Kava mangipen: ≈$0.049 49 API krediti · ≈ ₽5.17 Phir les kate

Lel API klidin
Maya Research Teksto ko Lav #text-to-speech#tts

Batch-varianta Maya vakeribnasqi savi renderarel dži 100 teksta phandone voceske deskripcianca

Maya Research · Audio

Tiro prvo rezultato si kate

Ker tele jekh mangipen thaj phir les tire API klidinosa. E rezultatur si kopirime amare arakhipneste, vično vaj 7 dives bilačhes.

Ker jekh mangipen

O kontrolura kerde si katar e schemaske. O kodo thaj e cena menjinen sar tu len menjines.

•trubul

List e tekstonengi vaš speech synthesis, podporin `<emotion_name>` tags ande sako entry.

•trubul

Atributo e voceske vaj character-eske vaš sako teksto, dene sar lista deskripcie. O gin e deskripciengo trubul te avel jekh sar o gin e tekstonge.

Lučhe sample_rate · output_format · temperature · top_p · max_tokens · repetition_penalty · enable_safety_checker
sample_rate standardno 48 kHz

Jekhto audio sample-rate setting vaš sa keripe, thaj del faster processing ko 24 kHz vaj feder quality ko 48 kHz.

output_format standardno wav

Fajlosko formato vaš sako generirime speech recording.

standardno 0.4

Sampling temperature aplikirime vaš sako keripe.

standardno 0.9

Nucleus sampling setting aplikirime vaš sako keripe.

standardno 2000

Učo limit SNAC tokenonge vaš sako keripe.

standardno 1.1

Repetition penalty aplikirime vaš sako keripe.

POST /run/maya/batch?wait=20 hesab → $0.049
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/maya/batch?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "texts": [
      "Hello from Doitong. This is a short test sentence."
    ],
    "prompts": [
      "Hello from Doitong. This is a short test sentence."
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Phandel kava mangipen

Tiro kluč ačhel kadale browsereste: bičhalel pes numa ko Doitong API thaj šuvav pes (localStorage) numa te tiknes Remember. Le jekh API ključ

Palal Maya · Batch

Sintezinela but klipura ande jekh mangipen. `texts` thaj `prompts` len 1 dži ko 100 entrya thaj trubun te aven jekh lengthosa, pašaindoj sako teksto jekhe glasa deskripcijasa. Emocijake tagura keren buti ande sako teksto. Setingura sar sample rate, rezultatosko formato thaj temperatura keren buti savorenca, thaj rezultatura si jekh lista audio fajlongo thaj džiivdipengo

Parametra

NavTip standardnoMuklo Vakeripe
textstrubul
Tipstring[]
≤ 100 artiklura
List e tekstonengi vaš speech synthesis, podporin `<emotion_name>` tags ande sako entry.
promptstrubul
Tipstring[]
≤ 100 artiklura
Atributo e voceske vaj character-eske vaš sako teksto, dene sar lista deskripcie. O gin e deskripciengo trubul te avel jekh sar o gin e tekstonge.
temperatureopcionalno
Tipnumber
standardno0.4
0 – 2
Sampling temperature aplikirime vaš sako keripe.
top_popcionalno
Tipnumber
standardno0.9
0 – 1
Nucleus sampling setting aplikirime vaš sako keripe.
max_tokensopcionalno
Tipinteger
standardno2000
28 – 4,000
Učo limit SNAC tokenonge vaš sako keripe.
repetition_penaltyopcionalno
Tipnumber
standardno1.1
1 – 2
Repetition penalty aplikirime vaš sako keripe.
sample_rateopcionalno
Tipenum
standardno48 kHz
48 kHz24 kHz
Jekhto audio sample-rate setting vaš sa keripe, thaj del faster processing ko 24 kHz vaj feder quality ko 48 kHz.
output_formatopcionalno
Tipenum
standardnowav
wavmp3
Fajlosko formato vaš sako generirime speech recording.
enable_safety_checkeropcionalno
Tipboolean
standardnotrue
Screening šaj te avel relaksirime te postavil pes false, numa kana o manglo si autorizuime.
trubul

Rezultato

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "maya/batch",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 49,
    "usd": "0.049",
    "charged": 49,
    "refunded": 0
  },
  "input": {
    "texts": [
      "Hello from Doitong. This is a short test sentence."
    ],
    "prompts": [
      "Hello from Doitong. This is a short test sentence."
    ]
  },
  "output": {
    "audios": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
        "content_type": "audio/mpeg",
        "file_name": "0-output.mp3",
        "file_size": 1843200
      }
    ],
    "durations": [
      5
    ],
    "sample_rate": "48 kHz",
    "total_generation_time": 5.7,
    "average_rtf": 0.15
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Tire fajlura, tiro alosaripenSako outputs[].url si kopija amare arakhipneste: vično (čargeime per GB-mase) vaj 7 dives bilačhes, tiro kontoskere regulaciatar vaj ?storage=.
Sa jekh forma sako modeloθartype, url, content_type, width, height thaj duration, varesave imajinake, video thaj audio-ke. output si o modelosko korkoro resultosko objekto.
Outputoske fieldura
audios
array of object {url, content_type, file_name, file_size}Audio fajlo save kerde, xramosarde sar lista.
durations
array of numberDužina ande sekunda vaš sako generirime audio recording.
sample_rate
stringSampling rate jekhto vaš sa generirime audio fajlo.
total_generation_time
numberTotalo keripesko vakti ande sekunda vaš sa audio fajlo.
average_rtf
numberAverage real-time factor peste sa keripe.

Bute modeli: Teksto ko Lav

AI agentenge: kadija rig sar Markdown si kate https://doitong.com/rom/developers/models/maya/batch.md. Sa e modelura thaj e gidura: https://doitong.com/developers/llms.txt